<?xml version="1.0"?>
<doc>
    <assembly>
        <name>CommonHelpers.Sys</name>
    </assembly>
    <members>
        <member name="T:CommonHelpers.HHandleArgChecking">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HUnsafeHandleArgChecking">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HPointerArgChecking">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HPointerArgChecking.VerifyNotNull(System.IntPtr)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HPointerArgChecking.VerifyNotNulls(System.IntPtr[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:CommonHelpers.HUnsafePtrArgChecking">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HUnsafePtrArgChecking.VerifyNotNull(System.Void*)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HUnsafePtrArgChecking.VerifyNotNulls(System.Void*[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:CommonHelpers.HUPointerArgChecking">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HUPointerArgChecking.VerifyNotNulls(System.UIntPtr[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="T:CommonHelpers.HDisposableBuffer`1">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HDisposableBuffer`1.VerifyIndex(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HDisposableBuffer`1.TwiceEnlargeCapacity">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="T:CommonHelpers.HDisposableBytesBuffer">
            <summary>
            </summary>
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HUnsafeBytesBuffer">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HUnsafeBytesBuffer.Allocate(System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeBytesBuffer.ReAllocate(System.Byte*,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeBytesBuffer.ReAllocate(System.Byte*@,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeBytesBuffer.Duplicate(System.Byte*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeBytesBuffer.GetAllocatedCapacity(System.Byte*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeBytesBuffer.Free(System.Byte*)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeBytesBuffer.Free(System.Byte**)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="T:CommonHelpers.HUnsafeCharBuffer">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HUnsafeCharBuffer.Allocate(System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeCharBuffer.ReAllocate(System.Char*,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeCharBuffer.ReAllocate(System.Char*@,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeCharBuffer.Duplicate(System.Char*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeCharBuffer.GetAllocatedCapacity(System.Char*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeCharBuffer.Free(System.Char*)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeCharBuffer.Free(System.Char**)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.CommonHelpers_PAccess.Access">
            <exception cref="T:System.TypeInitializationException" />
        </member>
        <member name="T:CommonHelpers.HCOM">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HCOMInterface">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HUnsafeCOM">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HUnsafeCOMInterface">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HCloseHandleCallback">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HDisposableHandle">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HHandle">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HHandle.Close(System.IntPtr)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HHandle.Close(System.IntPtr,System.Boolean)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HHandle.Close(System.IntPtr,CommonHelpers.HCloseHandleCallback)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HHandle.Close(System.IntPtr,System.Boolean,CommonHelpers.HCloseHandleCallback)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HHandle.SetNullAndClose(System.IntPtr@)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HHandle.SetNullAndClose(System.IntPtr@,CommonHelpers.HCloseHandleCallback)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HHandle.InvalidateAndClose(System.IntPtr@)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HHandle.InvalidateAndClose(System.IntPtr@,CommonHelpers.HCloseHandleCallback)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HHandle.ResetAndClose(System.IntPtr@,System.Boolean)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HHandle.ResetAndClose(System.IntPtr@,System.Boolean,CommonHelpers.HCloseHandleCallback)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="T:CommonHelpers.HUnsafeHandle">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HUnsafeHandle.Close(System.Void*)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeHandle.Close(System.Void*,System.Boolean)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeHandle.Close(System.Void*,CommonHelpers.HCloseHandleCallback)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeHandle.Close(System.Void*,System.Boolean,CommonHelpers.HCloseHandleCallback)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeHandle.SetNullAndClose(System.Void**)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeHandle.SetNullAndClose(System.Void**,CommonHelpers.HCloseHandleCallback)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeHandle.InvalidateAndClose(System.Void**)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeHandle.InvalidateAndClose(System.Void**,CommonHelpers.HCloseHandleCallback)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeHandle.ResetAndClose(System.Void**,System.Boolean)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeHandle.ResetAndClose(System.Void**,System.Boolean,CommonHelpers.HCloseHandleCallback)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="T:CommonHelpers.HMemory">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HMemory.Allocate(System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HMemory.ReAllocate(System.IntPtr,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HMemory.ReAllocate(System.IntPtr@,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HMemory.Duplicate(System.IntPtr)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HMemory.GetAllocatedSize(System.IntPtr)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HMemory.Free(System.IntPtr)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HMemory.Free(System.IntPtr@)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HMemory.Allocate``1">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HMemory.Allocate``1(System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HMemory.ReAllocate``1(System.IntPtr,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HMemory.ReAllocate``1(System.IntPtr@,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HMemory.Duplicate``1(System.IntPtr)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HMemory.GetAllocatedCapacity``1(System.IntPtr)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HMemory.Free``1(System.IntPtr)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HMemory.Free``1(System.IntPtr@)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HMemory.VerifyAllocatedBufferSize``1(System.Int32)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="M:CommonHelpers.HMemory.VerifyAllocatedBufferSize``1(System.IntPtr)">
            <exception cref="T:System.ArgumentException" />
        </member>
        <member name="T:CommonHelpers.HUnsafeMemory">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.Allocate(System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.ReAllocate(System.Void*,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.ReAllocate(System.Void*@,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.Duplicate(System.Void*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.GetAllocatedSize(System.Void*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.Free(System.Void*)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.Free(System.Void**)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.Allocate``1">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.Allocate``1(System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.ReAllocate``1(System.Void*,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.ReAllocate``1(System.Void*@,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.Duplicate``1(System.Void*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.GetAllocatedCapacity``1(System.Void*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.Free``1(System.Void*)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeMemory.Free``1(System.Void**)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.PAccessHlp.Access">
            <exception cref="T:System.TypeInitializationException" />
        </member>
        <member name="T:CommonHelpers.HPointer">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HUnsafePtr">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HUPointer">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HProcess">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HUnsafeProcess">
            <summary>
            </summary>
        </member>
        <member name="T:CommonHelpers.HDisposableSZ">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HDisposableSZ.VerifyCharIndex(System.Int32)">
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="T:CommonHelpers.HSZ">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HSZ.FromPointer(System.IntPtr)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:System.ArgumentOutOfRangeException" />
        </member>
        <member name="M:CommonHelpers.HSZ.Copy(System.IntPtr,System.IntPtr)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.Copy(System.IntPtr,System.IntPtr,System.Int32)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.Allocate(System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.ReAllocate(System.IntPtr,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.ReAllocate(System.IntPtr@,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.ReAllocateByLength(System.IntPtr)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.ReAllocateByLength(System.IntPtr@)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.Duplicate(System.IntPtr)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.Duplicate(System.String)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.Duplicate(System.Char*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.DuplicateAllocatedBuffer(System.IntPtr)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.GetAllocatedCapacity(System.IntPtr)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HSZ.Free(System.IntPtr)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HSZ.Free(System.IntPtr@)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="T:CommonHelpers.HUnsafeSZ">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.Copy(System.Char*,System.Char*)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.Copy(System.Char*,System.Char*,System.Int32)">
            <exception cref="T:System.ArgumentException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.Allocate(System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.ReAllocate(System.Char*,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.ReAllocate(System.Char*@,System.Int32)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.ReAllocateByLength(System.Char*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.ReAllocateByLength(System.Char*@)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.Duplicate(System.Char*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.Duplicate(System.String)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.Duplicate(System.IntPtr)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.DuplicateAllocatedBuffer(System.Char*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.GetAllocatedCapacity(System.Char*)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.Free(System.Char*)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.HUnsafeSZ.Free(System.Char**)">
            <exception cref="T:System.ComponentModel.Win32Exception" />
        </member>
        <member name="M:CommonHelpers.CommonHelpers_SysUtils.Access">
            <exception cref="T:System.TypeInitializationException" />
        </member>
        <member name="T:CommonHelpers.HLnkConverter">
            <summary>
            </summary>
        </member>
        <member name="P:CommonHelpers.HLnkConverter.Settings">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.HLnkConverter.#ctor">
            <exception cref="T:System.PlatformNotSupportedException" />
        </member>
        <member name="M:CommonHelpers.HLnkConverter.#ctor(CommonHelpers.HLnkConverterSettings)">
            <exception cref="T:System.PlatformNotSupportedException" />
        </member>
        <member name="M:CommonHelpers.HLnkConverter.ConvertLnkToTxt(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HLnkConverter.ConvertTxtToLnk(System.String,System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="T:CommonHelpers.HLnkConverterSettings">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.LnkProperties.LoadPropertiesFromTextFile(System.String,CommonHelpers.HLnkConverter)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.LnkProperties.LoadPropertiesFromShellLinkFile(System.String,CommonHelpers.HLnkConverter)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.LnkProperties.CreateShellLinkProperties">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.LnkProperties.ParsePropertyLine(System.String)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.LnkProperties.ValueToPropertyLine(CommonHelpers.LnkProperty,System.Object)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.LnkProperties.LoadFromTextFile(System.String)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.LnkProperties.SaveToTextFile(System.String)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.LnkProperties.LoadFromShellLinkFile(System.String)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.LnkProperties.SaveToShellLinkFile(System.String)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.LnkProperties.CheckRequiredProperties(CommonHelpers.HShellLinkProperties,System.String,System.Boolean)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="P:CommonHelpers.HShellLinkProperties.Arguments">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="P:CommonHelpers.HShellLinkProperties.Description">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="P:CommonHelpers.HShellLinkProperties.Hotkey">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="P:CommonHelpers.HShellLinkProperties.Hotkey_AsInt16">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="P:CommonHelpers.HShellLinkProperties.Path">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="P:CommonHelpers.HShellLinkProperties.DisplayName">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="P:CommonHelpers.HShellLinkProperties.ShowCmd">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="P:CommonHelpers.HShellLinkProperties.WorkingDirectory">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.GetIconLocation(System.Int32@)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.SetIconLocation(System.String,System.Int32)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.#ctor">
            <exception cref="T:System.PlatformNotSupportedException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.Load(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.Load(System.String,CommonHelpers.HShellLinkSpecialProps@)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.Save(System.String)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.Save(System.String,CommonHelpers.HShellLinkSpecialProps)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.BeginEnvironmentObstruction">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.BeginEnvironmentObstruction(System.Boolean)">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.IsProbablyExecutablePath(System.String)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.OnDispose(System.Boolean)">
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="P:CommonHelpers.HShellLinkProperties.Impl">
            <exception cref="T:System.InvalidOperationException" />
            <exception cref="T:System.ObjectDisposedException" />
        </member>
        <member name="M:CommonHelpers.HShellLinkProperties.PrepareEnvironmentRollback">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="T:CommonHelpers.HShellLinkSpecialProps">
            <summary>
            </summary>
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.#ctor(CommonHelpers.HLnkConverterSettings)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.ProcessVariables(System.String,System.Int32)">
            <exception cref="T:System.ArgumentNullException" />
            <exception cref="T:CommonHelpers.HOperationFailedException" />
        </member>
        <member name="P:CommonHelpers.LnkVariableProcessor.CurrentChar">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.LnkVariableProcessor.IsPercentChar">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.LnkVariableProcessor.IsDollarChar">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.LnkVariableProcessor.IsDVOpeningBraketChar">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.LnkVariableProcessor.IsDVClosingBraketChar">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="P:CommonHelpers.LnkVariableProcessor.VariablePos">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.VerifyNotEndOfSource">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.VerifyVarOpen">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.Next">
            <exception cref="T:System.InvalidOperationException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.Scan">
            <exception cref="T:CommonHelpers.LnkVariableProcessor.VariableProcessingException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.CompleteVariable">
            <exception cref="T:CommonHelpers.LnkVariableProcessor.VariableProcessingException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.ValidateCurrentCharAgainstOpenVarName">
            <exception cref="T:CommonHelpers.LnkVariableProcessor.VariableProcessingException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.VariableProcessingExceptionCreator.Create(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.VariableProcessingExceptionCreator.Create(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.CreateExceptionWithPosInfo(System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.CreateExceptionWithPosInfo(System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.CreateExceptionWithPosInfo(System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.CreateExceptionWithPosInfo(System.Int32,System.String)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.CreateExceptionWithPosInfo(System.Int32,System.String,System.Object[])">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.LnkVariableProcessor.CreateExceptionWithPosInfo(System.Int32,System.Exception)">
            <exception cref="T:System.ArgumentNullException" />
        </member>
        <member name="M:CommonHelpers.SysUtilsHlp.Access">
            <exception cref="T:System.TypeInitializationException" />
        </member>
        <member name="M:CommonHelpers.CommonHelpers_Sys.Access">
            <exception cref="T:System.TypeInitializationException" />
        </member>
        <member name="M:CommonHelpers.SysHelpers_Core_Impl.Access">
            <exception cref="T:System.TypeInitializationException" />
        </member>
        <member name="M:CommonHelpers.SysLibraryFFM.Access">
            <exception cref="T:System.TypeInitializationException" />
        </member>
        <member name="T:CommonHelpers.CommonHelpers_Sys_Info">
            <summary>
            Assembly information and related
            </summary>
        </member>
    </members>
</doc>
